Subject: Re: [alto] GitHub Use for IETF Working Groups

From: Qin Wu <[email-masked]>
Date: Mon, 22 Mar 2021 11:24:57 +0000

Both works for me. You can send me your github username offline to me if you want to add you as collaborators.

-Qin
发件人: Jensen Zhang [mailto:[email-masked]]
发送时间: 2021年3月22日 19:17
收件人: Qin Wu <[email-masked]>
抄送: [email-masked]; IETF ALTO <[email-masked]>
主题: Re: [alto] GitHub Use for IETF Working Groups

Hi Qin,

It looks nice. Shall we send pull requests or you add us as collaborators of each repo?

Cheers,
Jensen

On Mon, Mar 22, 2021 at 7:09 PM Qin Wu <[email-masked]<mailto:[email-masked]>> wrote:
Excellent, Kai, can you move path vector document into
https://github.com/ietf-wg-alto/<https://github.com/ietf-wg-alto/draft-ietf-alto-path-vector>
which will be monitored by ietf secretariat and our Ads.
You can see the entry point to ALTO github organization.
https://datatracker.ietf.org/wg/alto/about/
-Qin
发件人: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>]
发送时间: 2021年3月22日 18:31
收件人: Qin Wu <[email-masked]<mailto:[email-masked]>>
抄送: IETF ALTO <[email-masked]<mailto:[email-masked]>>
主题: Re: [alto] GitHub Use for IETF Working Groups

Hi Qin,

Thanks for the email and I would like to second the suggestion.

We are already using github for the Path Vector document: https://github.com/alto-wg/draft-alto-pv

Best,
Kai

2021-03-20 10:47:21"Qin Wu" <[email-masked]<mailto:[email-masked]>>wrote:

ALTO:

I think it is a good practice to use Github to keep track of any open issues on chartered items.

For all the document authors, I recommend to move your WG drafts to the github,

The following is the guideline to tell you how to upload your drafts

https://github.com/martinthomson/i-d-template/blob/main/doc/REPO.md

-Qin

> 发件人: WGChairs [mailto:[email-masked]] 代表 IETF Secretariat

> 发送时间: 2021年3月10日 4:11

> 收件人: Working Group Chairs <[email-masked]<mailto:[email-masked]>>

> 主题: GitHub Use for IETF Working Groups

> To the WG Chairs,

> Many IETF working groups are now using GitHub. RFC 8875 [1] and 8874

> [2] detail IETF Working Group GitHub administration. Per the RFCs, the

> WG Chairs must add the IETF Secretariat (@ietf-secretariat) and the

> WG's Area Directors as owners of the WG GitHub organization.

> Instructions for how to create your WG GitHub, as well as how to add

> the appropriate owners, can be found on the WG Chairs page [3].

> If you already have a GitHub organization for your working group,

> please verify that the IETF Secretariat (GitHub user ID: @ietf-

> secretariat) is an owner. In addition, please make sure that the WG

> GitHub is included within the “Additional Resources” section of the

> the WG’s Datatracker page (e.g.,

> https://datatracker.ietf.org/wg/drip/about/). In addition to making it

> easier for people to find, linking your GitHub from within the

> Datatracker also ensures that the GitHub data will be backed up by the

> IETF.

> If your working group does not yet have a GitHub Organization and you

> would like us to set one up for you, please send email to

> [email-masked]<mailto:[email-masked]> with the subject line "GitHub Organization Request

> for WGACRONYM." Please include the GitHub ID for each WG Chair and WG

> Secretary.

> If you have any questions, please let us know!

> Best regards,

> The IETF Secretariat

> [1] https://www.rfc-editor.org/info/rfc8875

> [2] https://www.rfc-editor.org/info/rfc8874

> [3] https://www.ietf.org/chairs/github/

_______________________________________________
alto mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/alto